Bug 120316 - Apache HTTPD fails to listen on port 80
Apache HTTPD fails to listen on port 80
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
triage|leonardjo|closed|rawhide
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 15:10 EDT by Albert Strasheim
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.10.1-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 13:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2004-04-07 15:10:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
When the Apache HTTP daemon starts up, it fails to bind to port 80 if
SELinux is set to enforce mode. The following warnings appear:

Apr  7 21:14:19 asok kernel: audit(1081365259.046:0): avc:  denied  {
write } for  pid=14735 exe=/usr/sbin/httpd
scontext=root:system_r:httpd_t tcontext=root:system_r:httpd_t
tclass=netlink_socket
Apr  7 21:14:19 asok kernel: audit(1081365259.047:0): avc:  denied  {
write } for  pid=14735 exe=/usr/sbin/httpd
scontext=root:system_r:httpd_t tcontext=root:system_r:httpd_t
tclass=netlink_socket
Apr  7 21:14:19 asok kernel: audit(1081365259.060:0): avc:  denied  {
write } for  pid=14735 exe=/usr/sbin/httpd
scontext=root:system_r:httpd_t tcontext=root:system_r:httpd_t
tclass=netlink_socket
Apr  7 21:14:19 asok httpd: httpd startup succeeded
Apr  7 21:14:19 asok kernel: audit(1081365259.472:0): avc:  denied  {
write } for  pid=14736 exe=/usr/sbin/httpd
scontext=root:system_r:httpd_t tcontext=root:system_r:httpd_t
tclass=netlink_socket
Apr  7 21:14:19 asok kernel: audit(1081365259.488:0): avc:  denied  {
write } for  pid=14736 exe=/usr/sbin/httpd name=jk2.shm dev=hda5
ino=89240 scontext=root:system_r:httpd_t
tcontext=root:object_r:httpd_log_t tclass=file
Apr  7 21:14:19 asok kernel: audit(1081365259.623:0): avc:  denied  {
write } for  pid=14736 exe=/usr/sbin/httpd name=.index dev=hda5
ino=89241 scontext=root:system_r:httpd_t tcontext=root:object_r:usr_t
tclass=file

With setenforce 0, Apache works without problems

Version-Release number of selected component (if applicable):
policy-1.9.2-12 httpd-2.0.49-2

How reproducible:
Always

Steps to Reproduce:
1. Start Apache with setenforce 1
2. Start Apache with setenforce 0
    

Actual Results:  Apache fails to bind to port 80

Expected Results:  Apache should work

Additional info:
Comment 1 Daniel Walsh 2004-04-08 09:04:40 EDT
Fixed in policy-1.10.1-4

Note You need to log in before you can comment on or make changes to this bug.